=== debian/changelog ===
poti (4.2-1) experimental; urgency=low

  * Initial release (Closes: #698152)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 14 Jan 2013 15:10:26 +0100
