=== debian/control ===
Source: poti
Priority: extra
Maintainer: Vincent Danjean <vdanjean@debian.org>
Build-Depends: debhelper (>= 9.0.0), cmake
Standards-Version: 3.9.3
Section: libs
Homepage: https://github.com/schnorr/poti
Vcs-Git: git://git.debian.org/collab-maint/poti.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/poti.git;a=summary

Package: libpoti4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to create trace files in the Paje file format
 Poti is a library to create trace files in the Paje file format. This format
 can represent lots of different kind of traces and it can be read by several
 trace readers (vite, etc.) You should not use it directly during the tracing
 of your application (nothing will stop you from doing this if you want). It is
 recommended to use it after traces are collected in your preferred file format
 (probably binary with memory buffers to avoid at a maximum the tracing
 intrusion).
 .
 This package contains the run-time files.

Package: libpoti-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpoti4 (= ${binary:Version}), ${misc:Depends}
Description: library to create trace files in the Paje file format (dev)
 Poti is a library to create trace files in the Paje file format. This format
 can represent lots of different kind of traces and it can be read by several
 trace readers (vite, etc.) You should not use it directly during the tracing
 of your application (nothing will stop you from doing this if you want). It is
 recommended to use it after traces are collected in your preferred file format
 (probably binary with memory buffers to avoid at a maximum the tracing
 intrusion).
 .
 This package contains the development files (headers, etc.)

Package: libpoti-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libpoti4 (= ${binary:Version})
Description: Debug symbols for the poti library
 Poti is a library to create trace files in the Paje file format. This format
 can represent lots of different kind of traces and it can be read by several
 trace readers (vite, etc.) You should not use it directly during the tracing
 of your application (nothing will stop you from doing this if you want). It is
 recommended to use it after traces are collected in your preferred file format
 (probably binary with memory buffers to avoid at a maximum the tracing
 intrusion).
 .
 This package contains detached debugging symbols for the libpoti library.
