=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DH_OPTIONS=

DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
libdir := /usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ $(DH_OPTIONS)

.PHONE: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp$(libdir)
	mv debian/tmp/usr/lib/libpoti* debian/tmp$(libdir)
	mv debian/tmp/usr/lib/pkgconfig debian/tmp$(libdir)
	sed -e 's,/lib$$,/lib/$(DEB_HOST_MULTIARCH),' \
		-i debian/tmp$(libdir)/pkgconfig/poti.pc

.PHONY: override_dh_shlibdeps
override_dh_shlibdeps:
	dh_shlibdeps -a -- --warnings=7

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=libpoti-dbg

.PHONY: override_dh_install
override_dh_install:
	dh_install --list-missing

clean:
	dh clean $(DH_OPTIONS)
	$(RM) -r build
	$(RM) -r stamp-*
	# if this is a git repository, restore removed files that would have
	# been ignored by dpkg-source
	-test -d .git && git checkout -- $$(git status | \
		sed -e '/^#[[:space:]]*deleted:[[:space:]]*/s/^#[[:space:]]*deleted:[[:space:]]*//p;d' | \
		grep -v '^debian/')
