=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -20,3 +20,30 @@
 
 ADD_EXECUTABLE(vite-svn vite-svn.c)
 TARGET_LINK_LIBRARIES(vite-svn poti)
+
+ADD_EXECUTABLE(containers containers.c)
+TARGET_LINK_LIBRARIES(containers poti)
+
+ADD_EXECUTABLE(events events.c)
+TARGET_LINK_LIBRARIES(events poti)
+
+ADD_EXECUTABLE(links links.c)
+TARGET_LINK_LIBRARIES(links poti)
+
+ADD_EXECUTABLE(states states.c)
+TARGET_LINK_LIBRARIES(states poti)
+
+ADD_EXECUTABLE(states_unaliased states_unaliased.c)
+TARGET_LINK_LIBRARIES(states_unaliased poti)
+
+ADD_EXECUTABLE(variables variables.c)
+TARGET_LINK_LIBRARIES(variables poti)
+
+ADD_EXECUTABLE(header header.c)
+TARGET_LINK_LIBRARIES(header poti)
+
+ADD_EXECUTABLE(eventdef eventdef.c)
+TARGET_LINK_LIBRARIES(eventdef poti)
+
+ADD_EXECUTABLE(tracegen tracegen.c)
+TARGET_LINK_LIBRARIES(tracegen poti)
