=== debian/changelog ===
poti (5.0-1) experimental; urgency=medium

  * New upstream version
  * Fix "please make the build reproducible" (Closes: #860200)
    (problematic lines have been removed upstream)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 03 Sep 2020 07:51:08 +0200

poti (4.9-1) experimental; urgency=medium

  * New upstream version
    Fix small bugs from 4.6

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 29 May 2017 16:44:50 +0200

poti (4.6-1) experimental; urgency=medium

  * New upstream version

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 29 May 2017 15:08:14 +0200
