=== debian/control ===
Source: poti
Priority: optional
Maintainer: Vincent Danjean <vdanjean@debian.org>
Build-Depends: debhelper, debhelper-compat (=13), cmake
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/schnorr/poti
Vcs-Git: https://salsa.debian.org/debian/poti.git
Vcs-Browser: https://salsa.debian.org/debian/poti
Rules-Requires-Root: no

Package: libpoti8
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to create trace files in the Paje file format
 Poti is a library to create trace files in the Paje file format. This format
 can represent lots of different kind of traces and it can be read by several
 trace readers (vite, etc.) You should not use it directly during the tracing
 of your application (nothing will stop you from doing this if you want). It is
 recommended to use it after traces are collected in your preferred file format
 (probably binary with memory buffers to avoid at a maximum the tracing
 intrusion).
 .
 This package contains the run-time files.

Package: libpoti-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpoti8 (= ${binary:Version}), ${misc:Depends}
Description: library to create trace files in the Paje file format (dev)
 Poti is a library to create trace files in the Paje file format. This format
 can represent lots of different kind of traces and it can be read by several
 trace readers (vite, etc.) You should not use it directly during the tracing
 of your application (nothing will stop you from doing this if you want). It is
 recommended to use it after traces are collected in your preferred file format
 (probably binary with memory buffers to avoid at a maximum the tracing
 intrusion).
 .
 This package contains the development files (headers, etc.)
