=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,9 @@
 
 DH_OPTIONS=
 
-DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
+
+include /usr/share/dpkg/architecture.mk
 libdir := /usr/lib/$(DEB_HOST_MULTIARCH)
 
 %:
@@ -30,14 +32,6 @@
 override_dh_shlibdeps:
 	dh_shlibdeps -a -- --warnings=7
 
-.PHONY: override_dh_strip
-override_dh_strip:
-	dh_strip --dbg-package=libpoti-dbg
-
-.PHONY: override_dh_install
-override_dh_install:
-	dh_install --list-missing
-
 clean:
 	dh clean $(DH_OPTIONS)
 	$(RM) -r build
@@ -47,4 +41,3 @@
 	-test -d .git && git checkout -- $$(git status | \
 		sed -e '/^#[[:space:]]*deleted:[[:space:]]*/s/^#[[:space:]]*deleted:[[:space:]]*//p;d' | \
 		grep -v '^debian/')
-
