=== debian/watch ===
version=3
https://github.com/schnorr/poti/tags .*/poti-(\d[\d\.]+)\.tar\.gz
